Description

After generating SystemMetadata for the KNB records, there are quite a few objects that do not correctly track their revision history.

The newer object is marked as obsoleting the older object, but the older object is not marked as being obsoleted by the newer object.

Sample query to see this in the Metacat DB:

-- find system metadata with incomplete revision history

select sm.guid, sm.obsoleted_by, sm.obsoletes, sm_by.guid as should_be_obsoleted_by

from systemmetadata sm, systemmetadata sm_by

where 1 = 1

and sm_by.obsoletes = sm.guid

and sm.obsoleted_by is null

and sm.guid like 'doi:10.5063/AA/knb.235%'

Related issues:

Related to Infrastructure - Task #3612: CN SystemMetadata has incomplete obso... New 2013-02-27

History

#1 - 2012-06-19 16:16 - Ben Leinfelder

- Status changed from New to In Progress

The Metacat 2.0.1 release addresses this issue (by generating the revision history correctly).

I need to deploy it on our production MNs before generating ORE documents on them.

#2 - 2012-06-20 07:47 - Ben Leinfelder

- Status changed from In Progress to Closed

Tested on both mn-stage-ucsb-1 and mn-sandbox-ucsb-1 (with DOIs) and the revision history is consistent with what we want.

#3 - 2012-07-03 22:53 - Ben Leinfelder

- Status changed from Closed to In Progress

Updated SANParks objects that had this problem -- will be picked up on next CN synch.

If this works out, I'll do the same on KNB.

See script: https://code.ecoinformatics.org/code/metacat/trunk/src/system_metadata_revisions.sql

#4 - 2012-07-06 16:28 - Ben Leinfelder
https://code.ecoinformatics.org/code/metacat/trunk/src/system_metadata_revisions.sql


- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.27-Block.4.2

#5 - 2012-08-16 19:56 - Ben Leinfelder

- Status changed from In Progress to Closed

Did this during  the 2.0.3 install on Tuesday (8/14)
